footer {
    background-color: var(--black);
    padding: 15px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 40px;
    position: relative;
}

footer a:hover {
    text-decoration: underline;
}

.footer-section {
    display: flex;
    gap: 20px;
}

.label {
    width: 30%;
}

.footer-group,
.label,
.footer-top a {
    font-weight: 600;
    font-size: 10px;
    line-height: 20px;
    color: var(--gray2);
    text-decoration: none;
    text-wrap: nowrap;
}

#proposals {
    display: none;
}

.footer-group a,
.footer-links a {
    color: var(--white);
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    line-height: 28px;
    text-wrap: nowrap;
}

.footer-links {
    margin-top: -2px;
}

.footer-top {
    position: absolute;
    top: 10px;
    right: 10px;
}

.footer-bottom {
    margin-top: 5em;
    display: flex;
    gap: 20px;
    flex-direction: column-reverse;
}

.logo {
    cursor: default;
}

.footer-credits {
    font-style: normal;
    font-weight: 600;
    font-size: 10px;
    line-height: 13px;
    text-align: center;
    letter-spacing: 0.24em;
    text-transform: uppercase;
    color: var(--gray2);
}

@media (min-width: 768px) {
    footer {
        padding: 20px;
    }

    .label {
        width: 30%;
    }

    .footer-group,
    .label,
    .footer-top a {
        font-size: 14px;
        line-height: 28px;
    }

    .footer-group a,
    .footer-links a {
        font-size: 22px;
        line-height: 28px;
    }

    .footer-top {
        top: 30px;
        right: 30px;
    }

    .footer-credits {
        font-size: 11px;
        line-height: 15px;
    }
}

@media (min-width: 1024px) {
    footer {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .footer-section {
        gap: 0px;
        flex-direction: column;
    }

    .footer-group {
        margin-bottom: 55px;
    }

    #proposals {
        display: flex;
        flex-direction: column;
    }

    .footer-bottom {
        grid-column: 1 / -1;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-end;
        border-top: none;
    }

    .footer-credits {
        font-size: 12px;
        line-height: 15px;
        text-align: right;
    }
}